import React from "react";
import { Router, Route, Switch, Link } from "react-router-dom";

import PrivateRoute from "./components/PrivateRoute";
import Loading from "./components/Loading";
import NavBar from "./components/NavBar";
import Home from "./views/Home";
import Profile from "./views/Profile";
import { useAuth0 } from "./react-auth0-spa";
import history from "./utils/history";

import Bordel from './views/bordel';

const App = () => {
  const { loading } = useAuth0();

  if (loading) {
    return <Loading />;
  }

  return (
    <Router history={history}>
      <NavBar />
      <Link to="/testing">Take me to tests</Link>
      <Switch>
        <Route path="/" exact component={Home} />
        <PrivateRoute path="/profile" component={Profile} />
        <Route path="/testing" component={Bordel} />
      </Switch>
    </Router>
  );
};

export default App;
