import React, { useContext } from "react";
import PropTypes from "prop-types";
import { FormContext } from "./form";

const FormInput = ({ name, label, ...rest }) => {
  const { onChange, values } = useContext(FormContext);
  return (
    <div>
      <label htmlFor={name}>{label}</label>
      <input id={name} name={name} {...rest} value={values[name] || ''} onChange={({ target: { value } }) => onChange(value, name)} />
    </div>
  );
};

FormInput.propTypes = {
  name: PropTypes.string.isRequired,
  label: PropTypes.string
};

export default FormInput;
