import React, { useState, createContext } from "react";
import FormInput from "./form-input";

export const FormContext = createContext({});

const Form = () => {
  const [values, setValues] = useState({
    "first-name": "Martin",
    "last-name": "Hura"
  });

  const onChange = (value, name) =>
    setValues((prevValues) => ({
      ...prevValues,
      [name]: value
    }));
  return (
    <FormContext.Provider
      value={{
        values,
        onChange
      }}
    >
      <form>
        <FormInput name="first-name" label="First name" />
        <FormInput name="last-name" label="Last name" />
        <FormInput name="age" label="Age" type="number" />
        <button type="button" onClick={() => console.log(values)}>
          Submit
        </button>
      </form>
    </FormContext.Provider>
  );
};

export default Form;
